Bug 5677 - make test_nss_modules and test_pam_modules failed on Solaris10
make test_nss_modules and test_pam_modules failed on Solaris10
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
3.2.1
x86 Solaris
: P3 minor
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 01:26 UTC by Yasuma Takeda
Modified: 2008-10-27 07:11 UTC (History)
0 users

See Also:


Attachments
this patch fix the problem (1.29 KB, patch)
2008-08-07 01:27 UTC, Yasuma Takeda
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuma Takeda 2008-08-07 01:26:09 UTC
On Solaris10, make test_nss_modules and test_pam_modules failed.
Because the /bin/sh on Solaris10 does not support "@export $(LIB_PATH_VAR)=./bin" syntax.
It must be separated.
I'll attach a patch.
Comment 1 Yasuma Takeda 2008-08-07 01:27:00 UTC
Created attachment 3455 [details]
this patch fix the problem
Comment 2 Karolin Seeger 2008-08-20 08:31:31 UTC
Could anyone confirm this patch, please?
Comment 3 Michael Adam 2008-10-27 07:11:24 UTC
Thanks for the report + patch.

Patch pushed to master, v3-3-test, and v3-2-test

Michael